#!/bin/sh

# extracts all the sources into ./_tmp that we got
# with dl_sources.sh

export PATH=$(pwd)/_bin:$PATH;

set -e

x_rewise()
{
	mkdir "./_tmp/$1"
	rewise -x "./_tmp/$1" "$1"
}

sz_extract()
{
	7z x "$1"
}


# clean up
if [ -d "./_tmp" ]
then
		rm -rf "./_tmp"
fi
mkdir "./_tmp"

# extract our sources
x_rewise "hluplink.exe"
x_rewise "hl1110.exe"
x_rewise "opfordemofull.exe"
x_rewise "hl_sdk_v23.exe"
x_rewise "steaminstall_halflife.exe"

mkdir -p "./_tmp/hluplink-pak0"
pakextract -o "./_tmp/hluplink-pak0" "./_tmp/hluplink.exe/MAINDIR/valve/pak0.PAK"

mkdir -p "./_tmp/opfordemofull-pak0"
pakextract -o "./_tmp/opfordemofull-pak0" "./_tmp/opfordemofull.exe/MAINDIR/valve/pak0.PAK"

mkdir -p "./_tmp/half-life.gcf"
hlextract -p "./_tmp/steaminstall_halflife.exe/MAINDIR/SteamApps/half-life.gcf" -d "./_tmp/half-life.gcf" -e "root/valve/"

./ccase.sh -r "./_tmp"

# if anything goes wrong here, it's probably imagemagick messing with the image
magick "./_tmp/hluplink-pak0/gfx/shell/btns_main.bmp" -compress none -crop 156x4836+0+0 BMP3:"./_tmp/btns_main.bmp"
bmpfix "./_tmp/hl1110.exe/maindir/valve/models/player/hgrunt/hgrunt.bmp"